local L;

-- English US localization
L = LibStub("AceLocale-3.0"):NewLocale("BeneCast", "enUS", true)

if L then
	-- Keeping this alphabetical so I can quickly find a certain translation manually
	L['Addon %1 not loaded, defaulting to %2'] = function(snapto, addonname)
		return 'Addon ' .. snapto .. ' not loaded, defaulting to ' .. addonname;
	end;
	L['Always Show Buttons'] = true;
	L['Assist'] = true;
	L['Attaching to %1'] = function(addonname)
		return 'Attaching to ' .. addonname;
	end;
	L['Bottom'] = true;
	L['Button Size'] = true;
	L['Cascade Player Config'] = true;
	L['Change Orientation (%1)'] = function(orientation)
		return 'Change Orientation (' .. orientation .. ')';
	end;
	L['Check Range for Target'] = true;
	L['Down'] = true;
	L['Empty'] = true;
	L['Flash as Fade'] = true;
	L['Focus'] = true;
	L['%1 for %2'] = function(event, unit)
		return event .. ' for ' .. unit;
	end;
	L['General'] = true;
	L['Group Members'] = true;
	L['Group Pets'] = true;
	L['Hide the minimap button'] = true;
	L['In Combat'] = true;
	L['Left'] = true;
	L['Locked'] = true;
	L['Non-Group Members'] = true;
	L['Number of Buttons'] = true;
	L['Orientation'] = true;
	L['Out of Combat'] = true;
	L['Player'] = true;
	L['Pet'] = true;
	L['Right'] = true;
	L['Settings'] = true;
	L['Show Button Tooltips'] = true;
	L['Show Pet Buttons'] = true;
	L["Show Target's Target"] = true;
	L['Snap To Options'] = true;
	L['Spell Name Only'] = true;
	L['Spell %1 out of range for %2'] = function(spellname, unit)
		return 'Spell ' .. spellname .. ' out of range for ' .. unit;
	end;
	L['Top'] = true;
	L['Unknown'] = true;
	L['Unlock Buttons'] = true;
	L['Undefined'] = true;
	L['Up'] = true;
end

-- German DE localization
-- translation by Scarabeus (Nevetina) and Auric
-- Some differences in the two translations. Not sure which ones are correct. Picked whichever 'felt' right
L = LibStub("AceLocale-3.0"):NewLocale("BeneCast", "deDE");

if L then
	L['Unknown'] = 'Unbekannt';
	L['Empty'] = 'Leer';
	L['Assist'] = 'Ziel helfen';
	L['Locked'] = 'Gesperrt';
	L['Cascade Player Config'] = 'Konfig f\195\188r alle';
	L['Hide the minimap button'] = 'Konfigurations\nButton ausblenden';
	L['Button Size'] = 'Button Gr\195\182\195\159e';
	L['Number of Buttons'] = 'Anzahl der Buttons';
	L['Settings'] = 'Einstellungen';
	L['Show Button Tooltips'] = 'Button Tooltips\nanzeigen';
	L['Spell Name Only'] = 'nur Spell Name';
	L['Always Show Buttons'] = 'Buttons immer\nanzeigen';
	L['Unlock Buttons'] = 'Buttons entsperren';
	L['Snap To Options'] = 'Buttons fangen';
	L['Show Pet Buttons'] = 'Pet-Buttons anzeigen';
	L['Bottom'] = 'Unten';
	L['Top'] = 'Oben';
	L['Right'] = 'Rechts';
	L['Left'] = 'Links';
	L['Flash as Fade'] = 'Ausgrauen statt Blinken';
	L['Check Range for Target'] = 'Pr\195\188fe,\nob Ziel in Reichweite';
	L["Show Target's Target"] = 'Ziel des Ziels anzeigen';
end